##    Licensed to the Apache Software Foundation (ASF) under one or more
##    contributor license agreements.  See the NOTICE file distributed with
##    this work for additional information regarding copyright ownership.
##    The ASF licenses this file to You under the Apache License, Version 2.0
##    (the "License"); you may not use this file except in compliance with
##    the License.  You may obtain a copy of the License at
##
##       http://www.apache.org/licenses/LICENSE-2.0
##
##    Unless required by applicable law or agreed to in writing, software
##    distributed under the License is distributed on an "AS IS" BASIS,
##    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
##    See the License for the specific language governing permissions and
##    limitations under the License.

# Each SQL statement in this file should terminate with a semicolon (;)
# Lines starting with the pound character (#) are considered as comments
CREATE TABLE OWNER_TABLE (
		USERNAME VARCHAR(20) NOT NULL,
		PASSWORD VARCHAR(20) NOT NULL
	);

CREATE UNIQUE INDEX SQL090923232106080 ON OWNER_TABLE (null);

ALTER TABLE OWNER_TABLE ADD CONSTRAINT SQL090923232106080 PRIMARY KEY (USERNAME);

CREATE TABLE DATACD_TABLE (
		CDID INTEGER NOT NULL,
		CDARCHIVEDATE TIMESTAMP,
		CDDESC VARCHAR(255),
		CDLABEL VARCHAR(255) NOT NULL,
		CDSIZE INTEGER,
		OWNER_USERNAME VARCHAR(255)
	);

CREATE INDEX I_DTCDTBL_OWNER ON DATACD_TABLE (null);

CREATE UNIQUE INDEX SQL090923232105870 ON DATACD_TABLE (null);

ALTER TABLE DATACD_TABLE ADD CONSTRAINT SQL090923232105870 PRIMARY KEY (CDID);

CREATE TABLE OPENJPASEQ (
		ID SMALLINT NOT NULL,
		SEQUENCE_VALUE BIGINT
	);

CREATE UNIQUE INDEX SQL090923232106010 ON OPENJPASEQ (null);

ALTER TABLE OPENJPASEQ ADD CONSTRAINT SQL090923232106010 PRIMARY KEY (ID);



